org.apache.commons.collections4

## Interface Get<K,V>

- Type Parameters:
    `K` - the type of the keys in this map
    `V` - the type of the values in this map
  All Known Subinterfaces:
    BidiMap<K,V>, BoundedMap<K,V>, IterableGet<K,V>, IterableMap<K,V>, IterableSortedMap<K,V>, MultiMap<K,V>, OrderedBidiMap<K,V>, OrderedMap<K,V>, SortedBidiMap<K,V>, Trie<K,V>
  All Known Implementing Classes:
    AbstractBidiMapDecorator, AbstractBitwiseTrie, AbstractDualBidiMap, AbstractHashedMap, AbstractIterableGetMapDecorator, AbstractIterableMap, AbstractLinkedMap, AbstractMapDecorator, AbstractOrderedBidiMapDecorator, AbstractOrderedMapDecorator, AbstractReferenceMap, AbstractSortedBidiMapDecorator, AbstractSortedMapDecorator, CaseInsensitiveMap, CompositeMap, DefaultedMap, DualHashBidiMap, DualLinkedHashBidiMap, DualTreeBidiMap, DualTreeBidiMap.ViewMap, FixedSizeMap, FixedSizeSortedMap, Flat3Map, HashedMap, LazyMap, LazySortedMap, LinkedMap, ListOrderedMap, LRUMap, MultiKeyMap, MultiValueMap, PassiveExpiringMap, PatriciaTrie, PredicatedMap, PredicatedSortedMap, ReferenceIdentityMap, ReferenceMap, SingletonMap, StaticBucketMap, TransformedMap, TransformedSortedMap, TransformedSplitMap, TreeBidiMap, UnmodifiableBidiMap, UnmodifiableMap, UnmodifiableOrderedBidiMap, UnmodifiableOrderedMap, UnmodifiableSortedBidiMap, UnmodifiableSortedMap, UnmodifiableTrie

      public interface Get<K,V>

  The "read" subset of the `Map` interface.
  Since:
    4.0
  See Also:
    `Put`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(Object key)`
    `boolean` | `containsValue(Object value)`
    `Set<Map.Entry<K,V>>` | `entrySet()`
    `V` | `get(Object key)`
    `boolean` | `isEmpty()`
    `Set<K>` | `keySet()`
    `V` | `remove(Object key)`
    `int` | `size()`
    `Collection<V>` | `values()`

- - ### Method Detail

    - #### containsKey

          boolean containsKey(Object key)

      Parameters:
        `key` - key whose presence in this map is to be tested
      Returns:
        `true` if this map contains a mapping for the specified key
      See Also:
        `Map.containsKey(Object)`

    - #### containsValue

          boolean containsValue(Object value)

      Parameters:
        `value` - value whose presence in this map is to be tested
      Returns:
        `true` if this map maps one or more keys to the specified value
      See Also:
        `Map.containsValue(Object)`

    - #### entrySet

          Set<Map.Entry<K,V>> entrySet()

      Returns:
        a set view of the mappings contained in this map
      See Also:
        `Map.entrySet()`

    - #### get

          V get(Object key)

      Parameters:
        `key` - the key whose associated value is to be returned
      Returns:
        the value to which the specified key is mapped, or `null` if this map contains no mapping for the key
      See Also:
        `Map.get(Object)`

    - #### remove

          V remove(Object key)

      Parameters:
        `key` - key whose mapping is to be removed from the map
      Returns:
        the previous value associated with `key`, or `null` if there was no mapping for `key`.
      See Also:
        `Map.remove(Object)`

    - #### isEmpty

          boolean isEmpty()

      Returns:
        `true` if this map contains no key-value mappings
      See Also:
        `Map.isEmpty()`

    - #### keySet

          Set<K> keySet()

      Returns:
        a set view of the keys contained in this map
      See Also:
        `Map.keySet()`

    - #### size

          int size()

      Returns:
        the number of key-value mappings in this map
      See Also:
        `Map.size()`

    - #### values

          Collection<V> values()

      Returns:
        a collection view of the values contained in this map
      See Also:
        `Map.values()`

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.